unit Unit_pr;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

type
  TExecDialog = function(AppHandle: THandle; var PictName: PChar): Boolean; stdcall;

procedure TForm1.Button1Click(Sender: TObject);
var
  P: PChar;
  S: String;
  ExecDialog: TExecDialog;
  HLib: THandle;
begin
  HLib := 0;
  try
    HLib := LoadLibrary('FirstLib.dll');
    if HLib <> 0 then
    begin
      ExecDialog := GetProcAddress(HLib, 'ExecDialog');
      if Assigned(ExecDialog) then
      begin
        if ExecDialog(Application.Handle, P) then
        begin
          S := P;
          Caption := S;
        end;
      end
      else
        ShowMessage(' "Executedalog"  ');
      end
    else
      ShowMessage('   "FirstLib.dll"');
  finally
     Application.ProcessMessages;
     if HLib <> 0 then FreeLibrary(HLib);
  end;
end;

end.
